KCMultiDialog Class Reference
KControl module classes

`#include <kcmultidialog.h>`

Inheritance diagram for KCMultiDialog:

## Signals

void | configCommitted ()
void | configCommitted (const QCString &instanceName)

## Public Member Functions

| KCMultiDialog (QWidget *parent=0, const char *name=0, bool modal=false)
| KCMultiDialog (int dialogFace, const QString &caption, QWidget *parent=0, const char *name=0, bool modal=false)
| KCMultiDialog (int dialogFace, const KGuiItem &user2, const KGuiItem &user3=KGuiItem(), int buttonMask=User2, const QString &caption=i18n("Configure"), QWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED
virtual | ~KCMultiDialog ()
void | addModule (const QString &module, bool withfallback=true)
void | addModule (const KCModuleInfo &moduleinfo, QStringList parentmodulenames=QStringList(), bool withfallback=false)
void | removeAllModules ()
void | show ()

## Protected Slots

virtual void | slotDefault ()
virtual void | slotUser1 ()
virtual void | slotApply ()
virtual void | slotOk ()
virtual void | slotHelp ()

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

A method that offers a KDialogBase containing arbitrary KControl Modules.

Author
  Matthias Elter elter.nosp@m.@kde.nosp@m..org, Daniel Molkentin molke.nosp@m.ntin.nosp@m.@kde..nosp@m.org

Since
  3.2

Definition at line 43 of file kcmultidialog.h.

## Constructor & Destructor Documentation

KCMultiDialog::KCMultiDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

Constructs a new KCMultiDialog.

Parameters

  parent | The parent widget
  name | The widget name
  modal | If you pass true here, the dialog will be modal

Definition at line 58 of file kcmultidialog.cpp.

KCMultiDialog::KCMultiDialog | ( | int | dialogFace,
|  | const QString & | caption,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

Construct a personalized KCMultiDialog.

Parameters

  dialogFace | You can use TreeList, Tabbed, Plain, Swallow or IconList.
  caption | The dialog caption. Do not specify the application name here. The class will take care of that.
  parent | Parent of the dialog.
  name | Dialog name (for internal use only).
  modal | Controls dialog modality. If `false`, the rest of the program interface (example: other dialogs) is accessible while the dialog is open.

Definition at line 67 of file kcmultidialog.cpp.

KCMultiDialog::KCMultiDialog | ( | int | dialogFace,
|  | const KGuiItem & | user2,
|  | const KGuiItem & | user3 = `KGuiItem()`,
|  | int | buttonMask = `User2`,
|  | const QString & | caption = `i18n("Configure")`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `false`
| ) |  |

Constructor for the predefined layout mode where you specify the kind of layout (face) and also add buttons.

Note that the User1 button of KDialogBase is already used to provide a "Reset" button so only two more buttons are available to users of KCMultiDialog. When clicked they trigger slotUser2() and slotUser3().

Note
  If any root modules are added to the dialog when this constructor is used, it will not be able to run them with root privileges. Since that will render them useless, it is a good idea to use another constructor. In KDE 4 the argument `user3` will be removed.

Parameters

  dialogFace | You can use TreeList, Tabbed, Plain, Swallow or IconList.
  user2 | User button2 text item.
  user3 | User button3 text item.
  buttonMask | Specifies which buttons will be visible. If zero (0) no extra buttons will be added. You can only use the User2 and User3 buttons. The User1 button is already used internally. See KDialogBase for more information on this.
  caption | The dialog caption. Do not specify the application name here. The class will take care of that.
  parent | Parent of the dialog.
  name | Dialog name (for internal use only).
  modal | Controls dialog modality. If `false`, the rest of the program interface (example: other dialogs) is accessible while the dialog is open.

Definition at line 76 of file kcmultidialog.cpp.

KCMultiDialog::~KCMultiDialog | ( |  | ) |

virtual

Destructor.

Definition at line 102 of file kcmultidialog.cpp.

## Member Function Documentation

void KCMultiDialog::addModule | ( | const QString & | module,
|  | bool | withfallback = `true`
| ) |  |

Add a module.

Parameters

  module | Specify the name of the module that is to be added to the list of modules the dialog will show.
  withfallback | Try harder to load the module. Might result in the module appearing outside the dialog.

Definition at line 222 of file kcmultidialog.cpp.

void KCMultiDialog::addModule | ( | const KCModuleInfo & | moduleinfo,
|  | QStringList | parentmodulenames = `QStringList()`,
|  | bool | withfallback = `false`
| ) |  |

Add a module.

Parameters

  moduleinfo | Pass a KCModuleInfo object which will be used for creating the module. It will be added to the list of modules the dialog will show.
  parentmodulenames | The names of the modules that should appear as parents in the TreeList. Look at the KDialogBase::addPage documentation for more info on this.
  withfallback | Try harder to load the module. Might result in the module appearing outside the dialog.

Definition at line 234 of file kcmultidialog.cpp.

void KCMultiDialog::configCommitted | ( |  | ) |

signal

Emitted after all KCModules have been told to save their configuration.

The applyClicked and okClicked signals are emitted before the configuration is saved.

void KCMultiDialog::configCommitted | ( | const QCString & | instanceName | ) |

signal

Emitted after the KCModules have been told to save their configuration.

It is emitted once for every instance the KCMs that were changed belong to.

You can make use of this if you have more than one component in your application. instanceName tells you the instance that has to reload its configuration.

The applyClicked and okClicked signals are emitted before the configuration is saved.

Parameters

  instanceName | The name of the instance that needs to reload its configuration.

void KCMultiDialog::removeAllModules | ( |  | ) |

Remove all modules from the dialog.

Definition at line 323 of file kcmultidialog.cpp.

void KCMultiDialog::slotApply | ( |  | ) |

protected virtual slot

This slot is called when the user presses the "Apply" Button.

You can reimplement it if needed.

Note
  Make sure you call the original implementation.

Definition at line 163 of file kcmultidialog.cpp.

void KCMultiDialog::slotDefault | ( |  | ) |

protected virtual slot

This slot is called when the user presses the "Default" Button.

You can reimplement it if needed.

Note
  Make sure you call the original implementation.

Definition at line 110 of file kcmultidialog.cpp.

void KCMultiDialog::slotHelp | ( |  | ) |

protected virtual slot

This slot is called when the user presses the "Help" Button.

It reads the DocPath field of the currently selected KControl module's .desktop file to find the path to the documentation, which it then attempts to load.

You can reimplement this slot if needed.

Note
  Make sure you call the original implementation.

Definition at line 183 of file kcmultidialog.cpp.

void KCMultiDialog::slotOk | ( | void |  | ) |

protected virtual slot

This slot is called when the user presses the "OK" Button.

You can reimplement it if needed.

Note
  Make sure you call the original implementation.

Definition at line 173 of file kcmultidialog.cpp.

void KCMultiDialog::slotUser1 | ( |  | ) |

protected virtual slot

This slot is called when the user presses the "Reset" Button.

You can reimplement it if needed.

Note
  Make sure you call the original implementation.

Definition at line 124 of file kcmultidialog.cpp.

The documentation for this class was generated from the following files:

- kcmultidialog.h
- kcmultidialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys